module DataProcView where

import Graphics.UI.Gtk
import Graphics.UI.Gtk.ModelView as MV

data ViewState = V 
    {
      mainWidget :: Widget
    }

new :: Widget -> Widget -> Widget -> IO ViewState
new w1 w2 w3 = do
  vbox <- vBoxNew False 2
  vbox2 <- vBoxNew False 0

  w1ex <- expanderNew "Shell Command"
  expanderSetExpanded w1ex True
  containerAdd w1ex w1

  w2ex <- expanderNew "Splitter Regex"
  expanderSetExpanded w2ex False
  containerAdd w2ex w2

  boxPackStart vbox2 w1ex PackNatural 2
  boxPackEnd vbox2 w2ex PackNatural 2

  boxPackStart vbox vbox2 PackNatural 2
  boxPackStart vbox w3 PackGrow 2
  return (V (toWidget vbox))

